= Preparing files for upload =

== Filenames ==

Filenames should always contain track number (and optionally disc number) with leading zeros first and subtitle after that. Few exmaples:

```
01. Luku.mp3
01. Osa.mp3
CD 1 - 01.mp3
```

Directory should also contain `cover.jpg` with book cover picture and `desc.txt` containing book description.

== Metadata (id3 tags) ==

First clear old tags then set new ones:

```
id3v2 -D "01. Osa.mp3"
id3v2 \
    --TPE1 "Douglas Adams" \
    --TALB "$(echo 'Linnunradan käsikirja liftareille' | iconv -f utf-8 -t iso-8859-1)" \
    --TCOM "$(echo 'Heikki Kinnunen,Pekka Autiovuori,Yrjö Järvinen,Martti Järvinen,Esa Saario,Kauko Helavirta,Aila Svedberg' | iconv -f utf-8 -t iso-8859-1)" \
    --TLAN "fi" \
    --TPUB "Yleisradio" \
    --TYER 1984 \
    --genre "Science Fiction/Fiction/Humor" \
    "01. Osa.mp3"
```
