== Creating openidc key ==

Create two rsa keys:
```
openssl genrsa -out signing.key 4096
openssl genrsa -out encryption.key 4096
```

Create JWK keys:
```
python3 -c '
from datetime import datetime
from jwcrypto.jwk import JWK, JWKSet
keyset = JWKSet()
date = datetime.now().strftime("%Y%m%d")
with open("./signing.key", "r") as key:
    jwkkey = JWK.from_pem(key.read().encode("UTF-8"))
    jwkkey.update(use="sig")
    jwkkey.update(kid=f"{date}-sig")
    keyset.add(jwkkey)
with open("./encryption.key", "r") as key:
    jwkkey = JWK.from_pem(key.read().encode("UTF-8"))
    jwkkey.update(use="enc")
    jwkkey.update(kid=f"{date}-enc")
    keyset.add(jwkkey)
print(keyset.export())
'
```
